Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Class WorkingSetScope

    java.lang.Object
      org.eclipse.team.ui.synchronize.AbstractSynchronizeScope
          org.eclipse.team.ui.synchronize.WorkingSetScope

All Implemented Interfaces:
  EventListener, IPropertyChangeListener, ISynchronizeScope

public class WorkingSetScope
extends AbstractSynchronizeScope
implements IPropertyChangeListener

A synchronize scope whose roots are defined by a working set.

Clients are not expected to subclass this class.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.team.ui.synchronize.ISynchronizeScope
`ROOTS`

Constructor Summary
`protected` | `WorkingSetScope(IMemento memento)` Create this scope from it's previously saved state
`` | `WorkingSetScope(IWorkingSet[] sets)` Create the scope for the subscriber and working set

Method Summary
`void` | `dispose()` Dispose of the scope when it is no longer needed.
`String` | `getName()` Return the name of the scope
`IResource[]` | `getRoots()` Return the root resources that define this scope.
`protected void` | `init(IMemento memento)` Method invoked from the contructor which repopulats the fields of this scope
`void` | `propertyChange(PropertyChangeEvent event)` Notification that a property has changed.
`void` | `saveState(IMemento memento)` Persist the state of this scope.

Methods inherited from class org.eclipse.team.ui.synchronize.AbstractSynchronizeScope
`addPropertyChangeListener, createScope, firePropertyChangedEvent, fireRootsChanges, removePropertyChangeListener, saveScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkingSetScope

    public WorkingSetScope(IWorkingSet[] sets)

  Create the scope for the subscriber and working set

### WorkingSetScope

    protected WorkingSetScope(IMemento memento)

  Create this scope from it's previously saved state

Parameters:
  `memento` - the memento containing a previous scope information that is used to initialize this scope.

Method Detail

### getName

    public String getName()

  Description copied from interface: `ISynchronizeScope`
  Return the name of the scope

  Specified by:
    `getName` in interface `ISynchronizeScope`
  Returns:
    the name of the scope

### getRoots

    public IResource[] getRoots()

  Description copied from interface: `ISynchronizeScope`
  Return the root resources that define this scope. A return value of `null` indicates that the participant should use its default set of resources.

  Specified by:
    `getRoots` in interface `ISynchronizeScope`
  Returns:
    the root resources of `null`

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Description copied from interface: `IPropertyChangeListener`
  Notification that a property has changed.

  This method gets called when the observed object fires a property change event.

  Specified by:
    `propertyChange` in interface `IPropertyChangeListener`
  Parameters:
    `event` - the property change event object describing which property changed and how

### dispose

    public void dispose()

  Description copied from interface: `ISynchronizeScope`
  Dispose of the scope when it is no longer needed.

  Specified by:
    `dispose` in interface `ISynchronizeScope`
  Overrides:
    `dispose` in class `AbstractSynchronizeScope`

### saveState

    public void saveState(IMemento memento)

  Description copied from class: `AbstractSynchronizeScope`
  Persist the state of this scope. Clients must persist enough additional state to know what type (i.e. subclass) of scope to be recreated.

  Overrides:
    `saveState` in class `AbstractSynchronizeScope`
  Parameters:
    `memento` - the memento into which the scope is to be saved

### init

    protected void init(IMemento memento)

  Description copied from class: `AbstractSynchronizeScope`
  Method invoked from the contructor which repopulats the fields of this scope

  Overrides:
    `init` in class `AbstractSynchronizeScope`
  Parameters:
    `memento` - the memento into which the scope was previously saved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.